メニューを切り替える
個人設定メニューを切り替える
個人メニューを切り替える
ログインしていません
編集を行うと、IPアドレスが公開されます。

「テンプレート:MainPage/Header/styles.css」の版間の差分

提供: いろり鯖 / Hytale日本鯖Wiki
編集の要約なし
編集の要約なし
13行目: 13行目:


.irori-mainpage-header-images {
.irori-mainpage-header-images {
display: none;
flex-direction: row;
flex-direction: row;
padding-bottom: 1rem;
padding-bottom: 1rem;
92行目: 91行目:
.irori-mainpage-header-images {
.irori-mainpage-header-images {
display: flex;
width: 100%;
height: 100%;
}
}

2026年1月10日 (土) 02:27時点における版

.irori-mainpage-header-container {
	position: relative;
	padding-top: 0;
	padding-bottom: 2rem;
}

.irori-mainpage-header-content {
	align-items: center;
	display: flex;
	flex-direction: column;
	text-align: center;
}

.irori-mainpage-header-images {
	flex-direction: row;
	padding-bottom: 1rem;
}

.irori-mainpage-header-title {
	font-size: 32px;
	font-weight: var(--font-weight-bold);
}

.irori-mainpage-header-slogan {
	font-size: 24px;
}

.irori-mainpage-header-button-container {
	display: grid;
	grid-template-columns: 1fr;
	gap: 0.5rem;
}

.irori-mainpage-header-button {
	align-items: center;
	border-radius: var(--irori-border-radius-pill);
	cursor: pointer;
	display: flex;
	font-size: 0.875rem;
	font-weight: var(--font-weight-medium);
	gap: 0.5rem;
	line-height: 1;
	margin-top: 1rem;
	padding: 1rem 2rem;
	user-select: none;
	width: 100%;
}

.irori-mainpage-header-join {
	background-color: var(--background-color-progressive);
	color: var(--color-inverted-fixed);
}

.irori-mainpage-header-join:hover {
	background-color: var(--background-color-progressive--hover);
}

.irori-mainpage-header-join:active {
	background-color: var(--background-color-progressive--active);
}

.irori-mainpage-header-search {
	border: 2px solid var(--background-color-progressive);
	color: var(--color-link);
}

.irori-mainpage-header-search:before {
	content: '';
	width: 1em;
	height: 1em;
	mask-image: url("/images/b/b8/Tabler_Icons_-_Search.svg");
	mask-size: contain;
	background-color: currentColor;
	display: block;
}

.irori-mainpage-header-search:hover {
	border-color: var(--background-color-progressive--hover);
	color: var(--background-color-progressive--hover);
}

.irori-mainpage-header-search:active {
	border-color: var(--background-color-progressive--active);
	color: var(--background-color-progressive--active);
}

@media screen and (min-width: 600px) {
	.irori-mainpage-header-container {
		padding-top: 2rem;
	}
	
	.irori-mainpage-header-images {
		width: 100%;
		height: 100%;
	}
	
	.irori-mainpage-header-button-container {
		grid-template-columns: 1fr 1fr;
		gap: 1rem;
	}
}